View Issue Details

IDProjectCategoryView StatusLast Update
0024335mantisbtapi restpublic2018-04-29 19:21
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.13.2 
Target Version2.13.2Fixed in Version2.13.2 
Summary0024335: Get all filter or specific filter returns incorrect information
Description

Filter id is 0, name is null, there is a _filter_id under criteria.

{
    "filters": [
        {
            "id": 0,
            "name": null,
            "owner": {
                "id": 0
            },
            "public": false,
            "project": {
                "id": 0,
                "name": "All Projects"
            },
            "criteria": {
                "_filter_id": 12976,
                "status": [
                    {
                        "id": 10,
                        "name": "new",
                        "label": "new",
                        "color": "#fcbdbd"
                    },
                    {
                        "id": 20,
                        "name": "feedback",
                        "label": "feedback",
                        "color": "#e3b7eb"
                    },
                    {
                        "id": 30,
                        "name": "acknowledged",
                        "label": "acknowledged",
                        "color": "#ffcd85"
                    },
                    {
                        "id": 40,
                        "name": "confirmed",
                        "label": "confirmed",
                        "color": "#fff494"
                    },
                    {
                        "id": 50,
                        "name": "assigned",
                        "label": "assigned",
                        "color": "#c2dfff"
                    }
                ],
                "target_version": [
                    null
                ]
            },
            "url": "http://localhost/mantisbt/search.php?project_id=0&status%5B%5D=10&status%5B%5D=20&status%5B%5D=30&status%5B%5D=40&status%5B%5D=50&sticky=on&target_version=1.3.x&sort=last_updated&dir=DESC&per_page=50&hide_status=-2&match_type=0"
        }
    ]
}
TagsNo tags attached.

Relationships

related to 0024349 closedvboctor API method mc_filter_get does not work 

Activities

vboctor

vboctor

2018-04-20 01:23

manager   ~0059614

@cproensa could this be introduced by your recently merged refactoring and improvements for filtering?

vboctor

vboctor

2018-04-21 15:56

manager   ~0059627

@cproensa can you please have a look at the PR below:
PR: https://github.com/mantisbt/mantisbt/pull/1341

Related Changesets

MantisBT: master-2.13 b739c9f9

2018-04-21 15:55:24

vboctor

Details Diff
Fix filter APIs

The filter API was broken by recent refactoring causing it to return invalid id, name, public, and extra _filter_id.
This broke both REST and SOAP APIs.

Fixes 0024335, 0024349
Affected Issues
0024335, 0024349
mod - core/classes/FilterConverter.class.php Diff File
mod - core/filter_api.php Diff File

Issue History

Date Modified Username Field Change
2018-04-20 01:22 vboctor New Issue
2018-04-20 01:22 vboctor Status new => assigned
2018-04-20 01:22 vboctor Assigned To => vboctor
2018-04-20 01:23 vboctor Note Added: 0059614
2018-04-21 15:56 vboctor Note Added: 0059627
2018-04-23 10:36 atrol Relationship added related to 0024349
2018-04-27 20:38 vboctor Changeset attached => MantisBT master-2.13 b739c9f9
2018-04-27 20:38 vboctor Status assigned => resolved
2018-04-27 20:38 vboctor Resolution open => fixed
2018-04-27 20:38 vboctor Fixed in Version => 2.13.2
2018-04-29 19:21 vboctor Status resolved => closed